%include %{_rpmconfigdir}/macros.python3

Name: python3-psutil
Version: 5.5.1
Release: 1
License: BSD-3-CLAUSE
Summary: Python psutil library (process and system utilities)
Url: https://github.com/ThePrez/psutil

Source0: https://github.com/ThePrez/psutil/archive/v5.5.1-ibmi-2.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: libutil-devel
Requires: python3-ibm_db

%description
psutil (process and system utilities) is a cross-platform library for
retrieving information on running processes and system utilization (CPU, 
memory, disks, network, sensors) in Python.

%prep
%setup -q -n psutil-%{version}-ibmi-2

%build
# Fix the wrong dependencies /bin/sh and /usr/bin/python
find . -type f | xargs perl -pi -e 's|/usr/bin/env python|%{_bindir}/python3|g;s|#!/bin/sh|#!/QOpenSys/usr/bin/sh|g'

python%{py_ver} setup.py bdist_wheel

%install
pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl
find %{buildroot}
perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/psutil*

%changelog
* Tue Apr 02 2019 Jesse Gorzinski <jgorzins@us.ibm.com> 5.5.1
- Initial RPM release
